>From e9aabcc69f0d6f624c0b4efb4365ff66212e654b Mon Sep 17 00:00:00 2001
From: Michael Friedrich <michael.friedrich@univie.ac.at>
Date: Mon, 5 Sep 2011 17:10:16 +0200
Subject: [PATCH] notifications.c: fix HOSTACKAUTHOR/ALIAS macros not populated on host notification

although those macros are marked deprecated, their
behaviour is wrong and therefore fixed with this patch.
---
 base/notifications.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/base/notifications.c b/base/notifications.c
index d4b7b4b..6f5a5ab 100644
--- a/base/notifications.c
+++ b/base/notifications.c
@@ -1114,8 +1114,8 @@ int host_notification(host *hst, int type, char *not_author, char *not_data, int
 				mac.x[MACRO_HOSTACKCOMMENT] = strdup(not_data);
 
 			if(temp_contact != NULL) {
-				mac.x[MACRO_SERVICEACKAUTHORNAME] = strdup(temp_contact->name);
-				mac.x[MACRO_SERVICEACKAUTHORALIAS] = strdup(temp_contact->alias);
+				mac.x[MACRO_HOSTACKAUTHORNAME] = strdup(temp_contact->name);
+				mac.x[MACRO_HOSTACKAUTHORALIAS] = strdup(temp_contact->alias);
 				}
 			}
 
-- 
1.7.1.1

